Bug 53488 - can't paste from exmh
can't paste from exmh
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-terminal (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-10 09:08 EDT by Chris Rouch
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 23:45:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rouch 2001-09-10 09:08:04 EDT
Description of Problem:

I can't cut and paste from exmh. I can select text in exmh. This text will be available in xclipboard, but if I try and paste it into a gnome-term nothing happens (either using middle button or gnome-terminal's menu option).


Version-Release number of selected component (if applicable):
exmh-2.4-2.noarch.rpm
tk-8.3.3-64.i386.rpm
tcl-8.3.3-64.i386.rpm
gnome-core-1.4.0.4-28.i386.rpm

How Reproducible:
Every time

Steps to Reproduce:
1. Select some text in exmh
2. Try to paste into gnome terminal

Actual Results:

Nothing

Expected Results:
Text should be pasted

Additional Information:
This is a vanilla roswell2 installation. I suspect it's a tk/tcl problem, but I don't use any other tk/tcl apps.
Comment 1 Chris Rouch 2001-09-12 10:24:30 EDT
On futher investigation I found:

exmh -> gnome-terminal fails
exmh -> Other apps (xterm, opera, xedit, xclipboard) works
Other apps -> gnome terminal works

I think exmh is putting selections on the clipboard selection, while gnome terminal is expecting them on the primary.
Comment 2 Havoc Pennington 2003-01-12 23:45:19 EST
This should no longer apply to 8.0 gnome-terminal.

Note You need to log in before you can comment on or make changes to this bug.